<div class="cl-right">
<div class="s-bk-lf">
	<div class="hst-title">Заказ выплаты</div>
</div>

<BR />

<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Заказ выплаты";
$usid = $_SESSION["user_id"];
$usname = $_SESSION["user"];

$db->Query("SELECT * FROM db_users_b WHERE id = '$usid' LIMIT 1");
$user_data = $db->FetchArray();

$db->Query("SELECT * FROM db_config WHERE id = '1' LIMIT 1");
$sonfig_site = $db->FetchArray();

$status_array = array( 0 => "Проверяется", 1 => "Выплачивается", 2 => "Отменена", 3 => "Выплачено");

?>

<b>Выплаты осуществляются в автоматическом режиме и только на платежную систему PAYEER! Процент при выводе составляет 0%</b> <BR /><BR />
<b>Из платежной системы Payeer Вы можете вывести свои средства в автоматическом режиме на все известные платежные системы и международные банки.</b><BR /><BR />
<b>Ссылки на учебные материалы:</b><BR />
 - <a href="http://payeeer.ru/create" target="_blank">Создание счета в Payeer</a> <BR />
 - <a href="http://payeeer.ru/outpay" target="_blank">Вывод средств из payeer</a> <BR /><BR />

<?PHP
# Заглушка от халявщиков
if($user_data["insert_sum"] <= 0 AND $user_data["from_referals"] <= 0){

?>
<center><font color="red"><b>Выплату могут заказывать пользователи, которые пополнили баланс больше, чем на 5 RUB или у которых есть активный реферал!<b></font></center><BR />
<BR />
<b>На Вашем счету <a href="/account/pay_points"><?=sprintf("%.2f",$user_data["pay_points"]); ?></a></b>
<BR /><BR />
<div class="clr"></div>		
</div>
<?PHP

return;
}

?>
 
<b>На Вашем счету <a href="/account/pay_points"><?=sprintf("%.2f",$user_data["pay_points"]); ?> баллов</a></b><BR />
<b>Ваших баллов хватает на выплату <?=sprintf("%.2f",$user_data["pay_points"]); ?> RUB (<?=sprintf("%.0f",$user_data["pay_points"]*$sonfig_site["ser_per_wmr"]); ?> серебра)</b>
<BR /><BR />
 
<center><b>Заказ выплаты:</b></center><BR />

<?PHP
	
	function ViewPurse($purse){
		
		if( substr($purse,0,1) != "P" ) return false;
		if( !ereg("^[0-9]{7}$", substr($purse,1)) ) return false;	
		return $purse;
	}
	
	# Заносим выплату
	if(isset($_POST["purse"])){
		
		$purse = ViewPurse($_POST["purse"]);
		$sum = intval($_POST["sum"]);
		$val = "RUB";
		
		if($purse !== false){
			
				if($sum >= 50){
				
					if($sum <= $user_data["money_p"]){
						
						# Проверяем на существующие заявки
						$db->Query("SELECT COUNT(*) FROM db_payment WHERE user_id = '$usid' AND (status = '0' OR status = '1')");
						if($db->FetchRow() == 0){
								
								
							### Делаем выплату ###	
							$payeer = new rfs_payeer($config->AccountNumber, $config->apiId, $config->apiKey);
							if ($payeer->isAuth())
							{
								$sum_pay = round( ($sum / $sonfig_site["ser_per_wmr"]), 2);
								if($user_data["pay_points"] >= $sum_pay){
								
									$arBalance = $payeer->getBalance();
									if($arBalance["auth_error"] == 0)
									{
										
										
										
										$balance = $arBalance["balance"]["RUB"]["DOSTUPNO"];
										if( ($balance) >= ($sum_pay+100)){
										
										
										
										$arTransfer = $payeer->transfer(array(
										'curIn' => 'RUB', // счет списания
										'sum' => $sum_pay, // сумма получения
										'curOut' => 'RUB', // валюта получения
										'to' => $purse, // получатель (email)
										//'to' => '+71112223344',  // получатель (телефон)
										//'to' => 'P1000000',  // получатель (номер счета)
										'comment' => iconv('windows-1251', 'utf-8', "Выплата пользователю {$usname}")
										//'anonim' => 'Y', // анонимный перевод
										//'protect' => 'Y', // протекция сделки
										//'protectPeriod' => '3', // период протекции (от 1 до 30 дней)
										//'protectCode' => '12345', // код протекции
										));
										
											if (!empty($arTransfer["historyId"]))
											{	
											
											
												# Снимаем с пользователя
												$db->Query("UPDATE db_users_b SET money_p = money_p - '$sum', payment_sum = payment_sum + '$sum_pay', pay_points = pay_points - '$sum_pay' WHERE id = '$usid'");
												
												# Вставляем запись в выплаты
												$da = time();
												$dd = $da + 60*60*24*15;
												
												$ppid = $arTransfer["historyId"];
												
												$db->Query("INSERT INTO db_payment (user, user_id, purse, sum, valuta, serebro, payment_id, date_add, status) 
												VALUES ('$usname','$usid','$purse','$sum_pay','RUB', '$sum','$ppid','".time()."', '3')");
												
												$db->Query("UPDATE db_stats SET all_payments = all_payments + '$sum_pay' WHERE id = '1'");
												
												echo "<center><font color = 'green'><b>Выплачено!</b></font></center><BR />";
												
											}
											else
											{
											
												echo "<center><font color = 'red'><b>Сервер выплат перегружен, попробуйте через 10-15 секунд!</b></font></center><BR />";	
											
											}
										
										
										}else echo "<center><font color = 'red'><b>Шлюз перегружен, повторите попытку через 5-10 секунд!</b></font></center><BR />";
										
									}else echo "<center><font color = 'red'><b>Не удалось выплатить! Попробуйте позже</b></font></center><BR />";
								
								}else echo "<center><font color = 'red'><b>Недостаточно <a href='/account/pay_points'>платежных баллов</a></b></font></center><BR />";
								
							}else echo "<center><font color = 'red'><b>Не удалось выплатить! Попробуйте позже</b></font></center><BR />";
							
								
						}else echo "<center><font color = 'red'><b>У вас имеются необработанные заявки. Дождитесь их выполнения.</b></font></center><BR />";
							
						
					}else echo "<center><font color = 'red'><b>Вы указали больше, чем имеется на вашем счету</b></font></center><BR />";
				
				}else echo "<center><b><font color = 'red'>Минимальная сумма для выплаты составляет 100 серебра!</font></b></center><BR />";
		
		}else echo "<center><b><font color = 'red'>Кошелек Payeer указан неверно! Смотрите образец!</font></b></center><BR />";
		
	}
?>

<form action="" method="post">
<table width="99%" border="0" align="center">
  <tr>
    <td><font color="#000;">Введите кошелек Payeer [Пример: P1112457]</font>: </td>
	<td><input type="text" name="purse" size="15"/></td>
  </tr>
  <tr>
    <td><font color="#000;">Отдаете серебро для вывода</font> [Мин. <span id="res_min"></span>]<font color="#000;">:</font> </td>
	<td><input type="text" name="sum" id="sum" value="<?=round($user_data["money_p"]); ?>" size="15" onkeyup="PaymentSum();" /></td>
  </tr>
  <tr>
    <td><font color="#000;">Получаете <span id="res_val"></span></font><font color="#000;">:</font> </td>
	<td>
	<input type="text" name="res" id="res_sum" value="0" size="15" disabled="disabled"/>
	<input type="hidden" name="per" id="RUB" value="<?=$sonfig_site["ser_per_wmr"]; ?>" disabled="disabled"/>
	<input type="hidden" name="per" id="USD" value="<?=$sonfig_site["ser_per_wmz"]; ?>" disabled="disabled"/>
	<input type="hidden" name="per" id="EUR" value="<?=$sonfig_site["ser_per_wme"]; ?>" disabled="disabled"/>
	<input type="hidden" name="per" id="min_sum_RUB" value="0.5" disabled="disabled"/>
	<input type="hidden" name="val_type" id="val_type" value="RUB" />
	<input type="hidden" name="per" id="min_sum_USD" value="<?=$min_p_wmz; ?>" disabled="disabled"/>
	<input type="hidden" name="per" id="min_sum_EUR" value="<?=$min_p_wme; ?>" disabled="disabled"/>
	</td>
  </tr>
  <tr>
    <td colspan="2" align="center"><input type="submit" name="swap" value="Заказать выплату" style="height: 30px; margin-top:10px;" /></td>
  </tr>
</table>
</form>
<script language="javascript">PaymentSum(); SetVal();</script>



<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">
  <tr>
    <td colspan="5" align="center"><h4>Последние 10 выплат</h4></td>
    </tr>
  <tr>
    <td align="center" class="m-tb">Серебро</td>
    <td align="center" class="m-tb">Получаете</td>
	<td align="center" class="m-tb">Кошелек</td>
	<td align="center" class="m-tb">Дата</td>
	<td align="center" class="m-tb">Статус</td>
  </tr>
  <?PHP
  
  $db->Query("SELECT * FROM db_payment WHERE user_id = '$usid' ORDER BY id DESC LIMIT 20");
  
	if($db->NumRows() > 0){
  
  		while($ref = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		<td align="center"><?=$ref["serebro"]; ?></td>
    		<td align="center"><?=sprintf("%.2f",$ref["sum"] - $ref["comission"]); ?> <?=$ref["valuta"]; ?></td>
    		<td align="center"><?=$ref["purse"]; ?></td>
			<td align="center"><?=date("d.m.Y",$ref["date_add"]); ?></td>
    		<td align="center"><?=$status_array[$ref["status"]]; ?></td>
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  
  ?>

  
</table><div class="clr"></div>		
</div>